#################################################################
# xmmucl - Mark's MUd Client using a console for output.
#
# Copyright (C) 1997-1998 Mark Patton
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#################################################################

source [file join $env(MMUCL_DIR) lib mmucl.tcl]
source [file join $env(MMUCL_DIR) lib mmucl_gui.tcl]
source [file join $env(MMUCL_DIR) lib form.tcl]
source [file join $env(MMUCL_DIR) lib balloon.tcl]

mmucl::gui_init

proc mmucl::display {str} {
    puts -nonewline $str
    flush stdout
}

# Toolbar.
mmucl::toolbar .toolbar

menubutton .toolbar.options -menu .toolbar.options.m -text Options
mmucl::option_menu .toolbar.options.m

button .toolbar.help -image help.gif -command {mmucl::MChelp}
balloon_add .toolbar.help "Help"
button .toolbar.quit -image quit.gif -command \
    {tk_dialogBox mmucl::MCexit yes -type yesno -message "Really quit?"}  
balloon_add .toolbar.quit "Quit"

pack  .toolbar.options -padx 3 -side left
pack .toolbar.quit .toolbar.help -side right

# Entry for input
mmucl::user_entry .mmucl_input

grid .toolbar -sticky ew 
grid .mmucl_input -sticky ew 
grid columnconfigure . 0 -weight 1

wm resizable . 1 0
wm title . Mmucl

# Accept input from the console.
fconfigure stdin -blocking 0 -buffering line
fileevent stdin readable {
    mmucl::MCparse [gets stdin]
    if {[eof stdin]} {
	mmucl::MCexit
    }
}

focus .mmucl_input

mmucl::init
